@echo off
if exist cfg\tetris.cfg move cfg\tetris.cfg cfg\tetris.bak
if exist hi\tetris.hi move hi\tetris.hi hi\tetris.bak
if exist nvram\tetris.nv move nvram\tetris.nv nvram\tetris.bak
if exist diff\tetris.dif move diff\tetris.dif diff\tetris.bak

mame tetris -record tetris.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\tetris.bak move cfg\tetris.bak cfg\tetris.cfg
if exist hi\tetris.bak move hi\tetris.bak hi\tetris.hi
if exist nvram\tetris.bak move nvram\tetris.bak nvram\tetris.nv
if exist diff\tetris.bak move diff\tetris.bak diff\tetris.dif
